require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusAsian", false);
SManager:AddAppetizer(AppetizerType.QUICHE, "quicheMushroom", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpGarlicLemon", true);

SManager:AddMeal(MealType.FISH, "fishGrilledLemonHal", true);
SManager:AddMeal(MealType.STEAK, "steakBeefBurgundy", false);
SManager:AddMeal(MealType.CHICKEN, "chickenGarlic", false);

SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMYosemite", true);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMBermuda", false);
SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMRome", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");